{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}

{% block title %} Debit Note {% endblock %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 0 2% 0;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .select {
            width: auto;
            display: inline;
        }
        .btn-export {
            float: right;
            background-color: #424242;
            border: 0;
            border-radius: 4px;
            display: inline-block !important;
        }
        .btn-export:hover {
            background-color: #313131;
        }
    </style>
{% endblock %}

{% block content %}

    <form class="from-horizontal">
        <div>
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h1 style="margin-top: -5px;" class="back-list">Debit Note</h1>
            <button type="submit" name="export" class="export btn-export">Export</button>
        </div>
        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-8 col-sm-8 col-md-8 col-customer">
                    <div class="row" style="margin: 0;">
                        <form class="from-horizontal" method="get">
                        <div class="search-container">
                            From: <input class="form-control txt-search" value="{{from_date}}"
                                   type="date" placeholder="Search..." name="from_date">
                            To: <input class="form-control txt-search" value="{{to_date}}"
                                   type="date" placeholder="Search..." name="to_date">
                            <button class="btn-search" type="submit">
                                <i class="fa fa-search"></i>
                            </button>

                            <select id="ddlFilter" class="form-control select" name="order">
                                <option value="">--- Select Dealer ---</option>
                                {% for dealer in dealers %}
                                <option {% if x_dealer == dealer.id %}selected{% endif %} value="{{dealer.id}}">
                                    {{dealer.company}}
                                </option>
                                {% endfor %}
                            </select>
                        </div>
                        </form>
                    </div>
                </div>

                <!-- <div class="col-xs-4 col-sm-4 col-md-4 col-customer">
                    <div class="row">
                        <address class="col-cust-add col-business-add">
                            <span style="background-color: #00c0ef;border-color: #00acd6;">
                                No of dealer: {{total.dealer|default:"0"}}
                            </span>
                            <span style="background-color: #00a65a;border-color: #008d4c;">
                                Ledger Balance: ₹ {{total.amount|floatformat:2|intcomma}}
                            </span>
                        </address>
                    </div>
                </div> -->
            </div>
        </section>

        <section>
            <table class="table table table-bordered alternate_color">
                {% if request.user|has_group:"Finance" or request.user|has_group:"BusinessHead" %}
                <thead>
                    <tr>
                        {% if request.user|has_group:"BusinessHead" %}
                        <td colspan="8">
                        {% else %}
                        <td colspan="7">
                        {% endif %}
                            <a href="{% url 'add_debit_note' %}" class="btn btn-primary btn-payment">
                                <i class="fa fa-plus"></i> Add Debit Note
                            </a>
                        </td>
                    </tr>
                </thead>
                {% endif %}
                <thead>
                    <tr>
                        <!--<th>Series No.</th>-->
                        <th>Company</th>
                        <th>Date</th>
                        <th>Status</th>
                        <!--<th>Type</th>-->
                        <th style="text-align: right;">Value (₹)</th>
                        <th>Remarks</th>
                        {% if request.user|has_group:"BusinessHead" %}
                        <th>Action</th>
                        {% endif %}
                    </tr>
                </thead>
                <tbody id="dataTable">
                {% if ledgers|length > 0 %}
                    {% for ledger in ledgers %}
                    <tr>
                        <!--<td>{{ledger.series_no}}</td>-->
                        <td>{{ledger.company}}</td>
                        <td>{{ledger.date}}</td>
                        <td>
                            {% if ledger.status == 'Pending' %}
                            <span class="label label-warning">{{ledger.status}}</span>
                            {% elif ledger.status == 'Rejected' %}
                            <span class="label label-danger">{{ledger.status}}</span>
                            {% elif ledger.status == 'Approved' %}
                            <span class="label label-success">{{ledger.status}}</span>
                            {% endif %}
                        </td>
                        <!--<td>{{ledger.type}}</td>-->
                        <td style="text-align:right">{{ledger.value|floatformat:2|intcomma}}</td>
                        <td>{{ledger.remarks|default:"---"}}</td>
                        {% if request.user|has_group:"BusinessHead" %}
                        <td>
                            {% if ledger.status == 'Pending' %}
                            <button id="btnApprove_{{forloop.counter}}" type="button" class="btn btn-sm btn-success">
                                Approve
                            </button>
                            <button id="btnReject_{{forloop.counter}}" type="button" class="btn btn-sm btn-danger">
                                Reject
                            </button>
                            <input id="txtId_{{forloop.counter}}" type="hidden" value="{{ledger.id}}">
                            {% else %}
                             ---
                            {% endif %}
                        </td>
                        {% endif %}
                    </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        <td colspan="5" style="text-align:center;">Data not available</td>
                    </tr>
                {% endif %}
                </tbody>
            </table>
            <div class="row" style="margin: 0;">
                {% if ledgers.has_other_pages %}
                    <ul class="pagination col-pagination pg-blue pull-right">
                        {% if ledgers.has_previous %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ ledgers.previous_page_number }}"
                                   aria-label="Previous">&laquo;</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href=""><span>&laquo;</span></a>
                            </li>
                        {% endif %}

                        {% for i in ledgers.paginator.page_range %}
                            {% if ledgers.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">{{ i }}</a>
                                </li>
                            {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                </li>
                            {% endif %}
                        {% endfor %}

                        {% if ledgers.has_next %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ ledgers.next_page_number }}">&raquo;</a>
                            </li>
                        {% endif %}
                    </ul>
                {% endif %}
            </div>
        </section>
    </form>

    <div id="modal-confirmation" class="modal fade modal-alert">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Cancel</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to reject this request?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <form method="post" action="{% url 'debit_note' %}">{% csrf_token %}
                        <input id="h_ledger_id" type="hidden" name="ledger_id">
                        <button id="confirm-id" type="submit" class="btn btn-danger btn-3d"
                                value="Approved" name="status">Yes</button>
                        <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        var order_id = 1;
        $(document).ready(function() {
            $('.content-header').first().remove();

            $('#ddlFilter').change(function() {
                order = getUrlVars()["order"];
                if(order == undefined) {
                    if(location.href.indexOf('?') != -1)
                        var newUrl = location.href+'&order='+$(this).val()
                    else
                        var newUrl = location.href+'?order='+$(this).val()
                    window.location=newUrl
                }
                else {
                    var newUrl = location.href.replace("order="+order, "order="+$(this).val());
                    window.location=newUrl
                }
            })

            $(document).on('click', '[id^="btnApprove_"]', function() {

                var counter = this.id.split('_')[1];
                var counter_value = $("#txtId_" + counter).val();
                $("#h_ledger_id").val(counter_value);

                $(".modal-header-new").css('background-color', '#008d4c !important');
                $("#modal-confirmation").addClass('modal-success').removeClass('modal-danger');

                $("#confirm-id").addClass('btn-success').removeClass('btn-danger');
                $("#confirm-id").attr("value", 'Approved');

                $(".modal-header-new").html('<i class="fa fa-check-circle"></i>');
                $(".modal-title-new").html('Confirm');
                $(".modal-body-new").html('Are you sure you want to approve this request?');
                $('#modal-confirmation').modal('show');
            });

            $(document).on('click', '[id^="btnReject_"]', function() {

                var counter = this.id.split('_')[1];
                var counter_value = $("#txtId_" + counter).val();
                $("#h_ledger_id").val(counter_value);

                $(".modal-header-new").css('background-color', '#e46050 !!important');
                $("#modal-confirmation").removeClass('modal-success');

                $("#confirm-id").addClass('btn-danger').removeClass('btn-success');
                $("#confirm-id").attr("value", 'Rejected');

                $(".modal-header-new").html('<i class="fa fa-times-circle"></i>');
                $(".modal-title-new").html('Cancel');
                $(".modal-body-new").html('Are you sure you want to reject this request?');
                $('#modal-confirmation').modal('show');
            });
        });

        function getUrlVars() {
            var vars = [], hash;
            var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for(var i = 0; i < hashes.length; i++) {
                hash = hashes[i].split('=');
                vars.push(hash[0]);
                vars[hash[0]] = hash[1];
            }
            return vars;
        }
    </script>
{% endblock %}
